Package org.apache.sysds.runtime.controlprogram.federated.monitoring

# Class FederatedMonitoringServerHandler

java.lang.Object
io.netty.channel.ChannelHandlerAdapter
io.netty.channel.ChannelInboundHandlerAdapter
io.netty.channel.SimpleChannelInboundHandler<io.netty.handler.codec.http.HttpObject>
org.apache.sysds.runtime.controlprogram.federated.monitoring.FederatedMonitoringServerHandler

All Implemented Interfaces:
  `io.netty.channel.ChannelHandler`, `io.netty.channel.ChannelInboundHandler`

public class FederatedMonitoringServerHandler extends io.netty.channel.SimpleChannelInboundHandler<io.netty.handler.codec.http.HttpObject>

## Nested Class Summary

## Nested classes/interfaces inherited from interface io.netty.channel.ChannelHandler

`io.netty.channel.ChannelHandler.Sharable`

## Constructor Summary

Constructors
Constructor
Description
`FederatedMonitoringServerHandler()`

## Method Summary

Modifier and Type
Method
Description
`void`
`channelReadComplete(io.netty.channel.ChannelHandlerContext ctx)`
`void`
`exceptionCaught(io.netty.channel.ChannelHandlerContext ctx, Throwable cause)`

### Methods inherited from class io.netty.channel.SimpleChannelInboundHandler

`acceptInboundMessage, channelRead`

### Methods inherited from class io.netty.channel.ChannelInboundHandlerAdapter

`channelActive, channelInactive, channelRegistered, channelUnregistered, channelWritabilityChanged, userEventTriggered`

### Methods inherited from class io.netty.channel.ChannelHandlerAdapter

`handlerAdded, handlerRemoved, isSharable`

### Methods inherited from class java.lang.Object

`equals, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

### Methods inherited from interface io.netty.channel.ChannelHandler

`handlerAdded, handlerRemoved`

## Constructor Details

### FederatedMonitoringServerHandler

public FederatedMonitoringServerHandler()

## Method Details

### channelReadComplete

public void channelReadComplete(io.netty.channel.ChannelHandlerContext ctx)

Specified by:
  `channelReadComplete` in interface `io.netty.channel.ChannelInboundHandler`
Overrides:
  `channelReadComplete` in class `io.netty.channel.ChannelInboundHandlerAdapter`

### exceptionCaught

public void exceptionCaught(io.netty.channel.ChannelHandlerContext ctx, Throwable cause)

Specified by:
  `exceptionCaught` in interface `io.netty.channel.ChannelHandler`
Specified by:
  `exceptionCaught` in interface `io.netty.channel.ChannelInboundHandler`
Overrides:
  `exceptionCaught` in class `io.netty.channel.ChannelInboundHandlerAdapter`